Subject: Re: [Slim] Human-language Issue 26: Asterisk modifier scope

From: Randall Gellens <[email-masked]>
Date: Fri, 13 Oct 2017 05:10:47 -0700

At 3:01 PM -0700 8/1/17, Bernard Aboba wrote:

>  A potential resolution has been proposed to Issue 26: Delete the Asterisk.
>
>  Are there any objections to this approach?

Hearing none, the asterisk is deleted in -14.

>
>  On Tue, Aug 1, 2017 at 2:46 PM, Gunnar 
> Hellström 
> <<mailto:[email-masked]>[email-masked]> 
> wrote:
>
>  Den 2017-07-27 kl. 01:11, skrev Randall Gellens:
>
>  At 3:20 PM -0700 7/26/17, Bernard Aboba wrote:
>
>   Randy said:
>
>   "Therefore, if the asterisk is causing 
> heartburn, we can remove it without technical 
> impact."
>
>   [BA] Unless there is some compelling reason to 
> keep it, removing the "*" might be the simplest 
> way to resolve Issue 26.
>
>
>  There is no compelling reason to keep it, 
> especially since it's purely advisory.
>
>  I suggest we delete it, revise the draft, and 
> advance it.  In my view, we've spent far too 
> much time on the asterisk, which is a supremely 
> trivial aspect of the draft.
>
>  --Randy
>
>  +1
>  Gunnar
>
>
>
>   On Wed, Jul 26, 2017 at 3:12 PM, Randall 
> Gellens 
> <<mailto:<mailto:[email-masked]>[email-masked]><mailto:[email-masked]>[email-masked]> 
> wrote:
>
>   At 2:35 PM -0700 7/26/17, Bernard Aboba wrote:
>
>    Paul said:
>
>    "Then what is the expectation regarding 
> whether to accept a call with no matching 
> language?"
>
>    I guess it would make the most sense for the 
> callee to accept the call unless he doesn't 
> want a call without matching language. Then if 
> the callee does accept the call without the 
> matching language the caller can still 
> terminate the call once he realizes that is the 
> situation.
>
>    That seems reasonable to me."
>
>    [BA] The inability to negotiate a matching 
> language is different from other SDP 
> negotiation failures such as the inability to 
> negotiate a matching codec, since even without 
> a matching language, it still may be useful to 
> successfully negotiate media characteristics 
> and bring up the call. Therefore it is not 
> clear to me how much value the "*" has in the 
> current draft, regardless of how it is defined.
>
>    For example, if the callee has policy that 
> dictates that it will always accept the call 
> (e.g. a PSAP), the callee might always ignore 
> the "*".  This might be frustrating to the 
> caller, but the caller may still choose not to 
> terminate the call.
>
>    Even if the callee cares deeply about a 
> matching language (e.g. a voice recognition or 
> chat bot system that is only supports a subset 
> of languages), the callee might still choose to 
> ignore the "*".
>
>    For example, the callee might accept the call 
> in order to provide information to the caller 
> (e.g. a pre-recorded voice or text message 
> indicating that the caller's languages are not 
> supported).
>
>
>   The draft has said for some time that the 
> asterisk is nothing more than advisory, and has 
> explicitly said that the callee is free to 
> ignore either the presence or absence of an 
> asterisk:
>
>      The called party MAY ignore the indication, e.g., for the emergency
>      services use case, regardless of the absence of an asterisk, a PSAP
>      will likely not fail the call; some call centers might reject a call
>      even if the offer contains an asterisk.
>
>   Therefore, if the asterisk is causing 
> heartburn, we can remove it without technical 
> impact.
>
>   --Randy
>
>
>    On Wed, Jul 26, 2017 at 1:46 PM, Paul Kyzivat 
> <<mailto:<mailto:<mailto:[email-masked]>[email-masked]><mailto:[email-masked]>[email-masked]><mailto:<mailto:[email-masked]>[email-masked]><mailto:[email-masked]>[email-masked]> 
> wrote:
>
>    On 7/26/17 2:35 PM, Randall Gellens wrote:
>
>    Why don't we just take out of the current 
> draft the asterisk and the ability to indicate 
> a caller preference to not fail the call? Then 
> Gunnar's draft(s) are free to use the asterisk.
>
>
>    Then what is the expectation regarding 
> whether to accept a call with no matching 
> language?
>
>    I guess it would make the most sense for the 
> callee to accept the call unless he doesn't 
> want a call without matching language. Then if 
> the callee does accept the call without the 
> matching language the caller can still 
> terminate the call once he realizes that is the 
> situation.
>
>    That seems reasonable to me.
>
>            Thanks,
>            Paul
>
>
>    _______________________________________________
>    SLIM mailing list
>
> 
> <mailto:<mailto:<mailto:[email-masked]>[email-masked]><mailto:[email-masked]>[email-masked]><mailto:<mailto:[email-masked]>[email-masked]><mailto:[email-masked]>[email-masked]
>
>
> 
> <<<https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim><https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim><<https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim><https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim
>
>
>
>    _______________________________________________
>    SLIM mailing list
> 
> <mailto:<mailto:[email-masked]>[email-masked]><mailto:[email-masked]>[email-masked]
>
> 
> <<https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim><https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim
>
>
>
>   --
>   Randall Gellens
>   Opinions are personal;    facts are suspect;    I speak for myself only
>   -------------- Randomly selected tag: ---------------
>   It isn't pollution that's harming the environment.  It's the
>   impurities in our air and water that are doing it.
>                   --Dan Quayle (then-U.S. Vice-President)
>
>
>
>   _______________________________________________
>   SLIM mailing list
>   <mailto:[email-masked]>[email-masked]
> 
> <https://www.ietf.org/mailman/listinfo/slim>https://www.ietf.org/mailman/listinfo/slim
>
>
>
>
>  --
>
>  -----------------------------------------
>  Gunnar Hellström
>  Omnitor
>  <mailto:[email-masked]>[email-masked]
>  <tel:%2B46%20708%20204%20288>+46 708 204 288
>
>
>
>  _______________________________________________
>  SLIM mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/slim

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
The human body is not so much the temple of Aphrodite as a
badly-designed gravity-resisting mechanism in constant danger
of going wrong.                               --Quentin Crisp